import com.haxepunk.Entity;
import com.haxepunk.graphics.*;

class Potion extends Entity {
	public var fall:Float = 0;
	public var effect:Int = 1;
	public function new(x:Float, y:Float, e:Int) {
		super(x, y);
		effect = e;
		graphic = new Stamp(e>0? "graphics/red.png": "graphics/blue.png");
		setHitboxTo(graphic);
		type = "potion";
	}

	public override function update() {
		fall += 0.6;
		moveBy(0, fall, "solid");
	}
	public override function moveCollideY(e:Entity): Bool {
		fall = 0;
		return true;
	}
}

